Bug 301971 - Stunnel crashes
Stunnel crashes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: stunnel (Show other bugs)
8
All Linux
high Severity high
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-22 21:46 EDT by W. Michael Petullo
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 4.20-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-16 08:30:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2007-09-22 21:46:44 EDT
Description of problem:
Stunnel crashes with a Segmentation Fault when I try to connect to a HTTPS server.

Version-Release number of selected component (if applicable):
stunnel-4.20-3.nss
nspr-4.6.7-3.fc8

How reproducible:
Every time

Steps to Reproduce:
1.  Create a file, https.conf, containing:

client=yes
verify=0
connect = www.example.com:443
TIMEOUTclose = 0

2. Execute "stunnel https.conf"
  
Actual results:
> stunnel https.conf 
Segmentation fault

Expected results:
Stunnel should make an SSL connection to www.example.com.

Additional info:
(gdb) ba
#0  0x1fd2c360 in PR_GetIdentitiesLayer (fd=0x7fe2bde0, id=1)
    at ../../../mozilla/nsprpub/pr/src/io/prlayer.c:733
#1  0x20010f4c in nss_get_private (fd=0x7fe2bde0) at ssl.c:1152
#2  0x20011564 in SSL_get_ex_data (ssl=0x7fe2bde0, idx=0) at ssl.c:2600
#3  0x2000f4b0 in verify_callback (preverify_ok=0, callback_ctx=0x7fe2be74) at
verify.c:172
#4  0x20013d40 in AuthCertificateHandler (arg=<value optimized out>, ssl=<value
optimized out>, 
    checksig=1, isServer=0) at ssl.c:438
#5  0x1ff5ad80 in ?? () from /usr/lib/libssl3.so
#6  0x1ff5b590 in ?? () from /usr/lib/libssl3.so
#7  0x1ff5c1b4 in ?? () from /usr/lib/libssl3.so
#8  0x1ff5f280 in ?? () from /usr/lib/libssl3.so
#9  0x1ff63778 in ?? () from /usr/lib/libssl3.so
#10 0x1ff64b34 in SSL_ForceHandshake () from /usr/lib/libssl3.so
#11 0x20011504 in SSL_connect (ssl=0x7fe2bde0) at ssl.c:2668
#12 0x20007eec in init_ssl (c=0x20068c68) at client.c:323
#13 0x20008690 in do_client (c=0x20068c68) at client.c:208
#14 0x20009638 in run_client (c=0x20068c68) at client.c:151
#15 0x2000976c in client (arg=<value optimized out>) at client.c:124
#16 0x20010154 in main_execute () at stunnel.c:99
#17 0x2001068c in main (argc=<value optimized out>, argv=<value optimized out>)
at stunnel.c:75
#18 0x1fb2a40c in generic_start_main () from /lib/libc.so.6
#19 0x1fb2a5dc in __libc_start_main () from /lib/libc.so.6
#20 0x00000000 in ?? ()
Comment 1 W. Michael Petullo 2007-10-07 10:48:38 EDT
I have the same problem with the i386 architecture.

Comment 2 W. Michael Petullo 2007-10-08 20:33:46 EDT
Downgrading to stunnel-4.20-2.ppc.rpm from Fedora 7 fixes the problem.
Comment 3 Miloslav Trmač 2007-10-16 08:30:57 EDT
Thanks for your report.  The NSS port (introduced in stunnel-4.20-3.nss) was
reverted in stunnel-4.20-4.
Comment 4 W. Michael Petullo 2007-10-19 00:13:01 EDT
Confirmed fixed. Thanks.

Note You need to log in before you can comment on or make changes to this bug.